Opened 5 years ago

Closed 5 years ago

#276 closed defect (fixed)

CentOS 7 missing dependencies

Reported by: rnajvirt Owned by:
Priority: minor Milestone: 0.11
Component: Xpra Keywords: rpm, dependencies, centos7
Cc:

Description (last modified by Antoine gmail)

Dear all,

when trying to install xpra on a CentOS 7 machine using the RPM method (https://winswitch.org/downloads/rpm-repository.html?dist_select=CentOS), yum shows missing dependencies (see below). How could I obtain (build) these packages? I see that they are available in the repo for CentOS 6 - can they be used for CentOS 7?

Thanks for any help.

(This is my first ticket submission ever)


--> Finished Dependency Resolution
Error: Package: xpra-0.14.23-1.el7_1.x86_64 (winswitch)
           Requires: x264-xpra
Error: Package: xpra-0.14.23-1.el7_1.x86_64 (winswitch)
           Requires: pygtkglext
Error: Package: xpra-0.14.23-1.el7_1.x86_64 (winswitch)
           Requires: python-rencode
Error: Package: xpra-0.14.23-1.el7_1.x86_64 (winswitch)
           Requires: python-lz4
Error: Package: xpra-0.14.23-1.el7_1.x86_64 (winswitch)
           Requires: libfakeXinerama
Error: Package: xpra-0.14.23-1.el7_1.x86_64 (winswitch)
           Requires: PyOpenGL-accelerate
Error: Package: xpra-0.14.23-1.el7_1.x86_64 (winswitch)
           Requires: libx264.so.142()(64bit)

Change History (3)

comment:1 Changed 5 years ago by Antoine gmail

Description: modified (diff)
Milestone: 0.11

Sorry about that, it's my fault: when centos was upgraded from "7.0" to "7.1", the canonical repository location for "7" changed (automatically done by the buildbot), and I forgot to copy over the libraries that had not been changed since and therefore had not been rebuilt (the ones that are now failing for you).

So if anything is missing from the 7.1 repo (which is here: http://xpra.org/dists/CentOS/7.1/), you should have been able to find it in the 7.0 repo (which is here: http://xpra.org/dists/CentOS/7.0/).

But now that you've pointed out this problem, I have rebuilt all the libraries (I think), so now you should just be able to do:

yum clean all && yum install xpra

I haven't tested this myself on centos 7.1 yet, so please let me know if that solves your problem.

(note: there is no winswitch rpm in that repository, I am still working on that)

comment:2 Changed 5 years ago by rnajvirt

Excellent, it worked! Thank you very much for your efforts - much appreciated!

comment:3 Changed 5 years ago by Antoine Martin

Resolution: fixed
Status: newclosed
Note: See TracTickets for help on using tickets.